# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/InterfaceLightPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_InterfaceLightPage(object):
    def setupUi(self, InterfaceLightPage):
        InterfaceLightPage.setObjectName("InterfaceLightPage")
        InterfaceLightPage.resize(555, 496)
        self.verticalLayout = QtWidgets.QVBoxLayout(InterfaceLightPage)
        self.verticalLayout.setObjectName("verticalLayout")
        self.headerLabel = QtWidgets.QLabel(parent=InterfaceLightPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout.addWidget(self.headerLabel)
        self.line9 = QtWidgets.QFrame(parent=InterfaceLightPage)
        self.line9.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line9.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9.setObjectName("line9")
        self.verticalLayout.addWidget(self.line9)
        self.groupBox = QtWidgets.QGroupBox(parent=InterfaceLightPage)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.label_4 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 0, 0, 1, 1)
        self.styleComboBox = QtWidgets.QComboBox(parent=self.groupBox)
        self.styleComboBox.setObjectName("styleComboBox")
        self.gridLayout.addWidget(self.styleComboBox, 0, 1, 1, 1)
        self.label_5 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 1, 0, 1, 1)
        self.styleSheetPicker = EricPathPicker(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.styleSheetPicker.sizePolicy().hasHeightForWidth())
        self.styleSheetPicker.setSizePolicy(sizePolicy)
        self.styleSheetPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.styleSheetPicker.setObjectName("styleSheetPicker")
        self.gridLayout.addWidget(self.styleSheetPicker, 1, 1, 1, 1)
        self.label_7 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_7.setObjectName("label_7")
        self.gridLayout.addWidget(self.label_7, 2, 0, 1, 1)
        self.styleIconsPathPicker = EricPathPicker(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.styleIconsPathPicker.sizePolicy().hasHeightForWidth())
        self.styleIconsPathPicker.setSizePolicy(sizePolicy)
        self.styleIconsPathPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.styleIconsPathPicker.setObjectName("styleIconsPathPicker")
        self.gridLayout.addWidget(self.styleIconsPathPicker, 2, 1, 1, 1)
        self.label_8 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_8.setObjectName("label_8")
        self.gridLayout.addWidget(self.label_8, 3, 0, 1, 1)
        self.itemSelectionStyleComboBox = QtWidgets.QComboBox(parent=self.groupBox)
        self.itemSelectionStyleComboBox.setObjectName("itemSelectionStyleComboBox")
        self.gridLayout.addWidget(self.itemSelectionStyleComboBox, 3, 1, 1, 1)
        self.label_9 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_9.setObjectName("label_9")
        self.gridLayout.addWidget(self.label_9, 4, 1, 1, 1)
        self.verticalLayout.addWidget(self.groupBox)
        self.sidebarsGroup = QtWidgets.QGroupBox(parent=InterfaceLightPage)
        self.sidebarsGroup.setObjectName("sidebarsGroup")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.sidebarsGroup)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.gridLayout_7 = QtWidgets.QGridLayout()
        self.gridLayout_7.setObjectName("gridLayout_7")
        self.iconBarButton = QtWidgets.QPushButton(parent=self.sidebarsGroup)
        self.iconBarButton.setObjectName("iconBarButton")
        self.gridLayout_7.addWidget(self.iconBarButton, 0, 0, 1, 2)
        self.label_6 = QtWidgets.QLabel(parent=self.sidebarsGroup)
        self.label_6.setObjectName("label_6")
        self.gridLayout_7.addWidget(self.label_6, 1, 0, 1, 1)
        self.iconSizeComboBox = QtWidgets.QComboBox(parent=self.sidebarsGroup)
        self.iconSizeComboBox.setObjectName("iconSizeComboBox")
        self.gridLayout_7.addWidget(self.iconSizeComboBox, 1, 1, 1, 1)
        self.horizontalLayout_2.addLayout(self.gridLayout_7)
        self.sampleLabel = QtWidgets.QLabel(parent=self.sidebarsGroup)
        self.sampleLabel.setMinimumSize(QtCore.QSize(50, 50))
        self.sampleLabel.setText("")
        self.sampleLabel.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.sampleLabel.setObjectName("sampleLabel")
        self.horizontalLayout_2.addWidget(self.sampleLabel)
        self.highlightedSampleLabel = QtWidgets.QLabel(parent=self.sidebarsGroup)
        self.highlightedSampleLabel.setMinimumSize(QtCore.QSize(50, 50))
        self.highlightedSampleLabel.setText("")
        self.highlightedSampleLabel.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.highlightedSampleLabel.setObjectName("highlightedSampleLabel")
        self.horizontalLayout_2.addWidget(self.highlightedSampleLabel)
        spacerItem = QtWidgets.QSpacerItem(396, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem)
        self.verticalLayout_2.addLayout(self.horizontalLayout_2)
        self.verticalLayout.addWidget(self.sidebarsGroup)
        self.line9_2 = QtWidgets.QFrame(parent=InterfaceLightPage)
        self.line9_2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9_2.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line9_2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9_2.setObjectName("line9_2")
        self.verticalLayout.addWidget(self.line9_2)
        self.TextLabel1_2_2_2 = QtWidgets.QLabel(parent=InterfaceLightPage)
        self.TextLabel1_2_2_2.setObjectName("TextLabel1_2_2_2")
        self.verticalLayout.addWidget(self.TextLabel1_2_2_2)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.languageLabel = QtWidgets.QLabel(parent=InterfaceLightPage)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Fixed, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.languageLabel.sizePolicy().hasHeightForWidth())
        self.languageLabel.setSizePolicy(sizePolicy)
        self.languageLabel.setObjectName("languageLabel")
        self.horizontalLayout.addWidget(self.languageLabel)
        self.languageComboBox = QtWidgets.QComboBox(parent=InterfaceLightPage)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.languageComboBox.sizePolicy().hasHeightForWidth())
        self.languageComboBox.setSizePolicy(sizePolicy)
        self.languageComboBox.setObjectName("languageComboBox")
        self.horizontalLayout.addWidget(self.languageComboBox)
        self.verticalLayout.addLayout(self.horizontalLayout)
        spacerItem1 = QtWidgets.QSpacerItem(537, 41, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem1)
        self.languageLabel.setBuddy(self.languageComboBox)

        self.retranslateUi(InterfaceLightPage)
        QtCore.QMetaObject.connectSlotsByName(InterfaceLightPage)
        InterfaceLightPage.setTabOrder(self.styleComboBox, self.styleSheetPicker)
        InterfaceLightPage.setTabOrder(self.styleSheetPicker, self.styleIconsPathPicker)
        InterfaceLightPage.setTabOrder(self.styleIconsPathPicker, self.itemSelectionStyleComboBox)
        InterfaceLightPage.setTabOrder(self.itemSelectionStyleComboBox, self.iconBarButton)
        InterfaceLightPage.setTabOrder(self.iconBarButton, self.iconSizeComboBox)
        InterfaceLightPage.setTabOrder(self.iconSizeComboBox, self.languageComboBox)

    def retranslateUi(self, InterfaceLightPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("InterfaceLightPage", "<b>Configure User Interface</b>"))
        self.groupBox.setTitle(_translate("InterfaceLightPage", "Style"))
        self.label_4.setText(_translate("InterfaceLightPage", "Style:"))
        self.styleComboBox.setToolTip(_translate("InterfaceLightPage", "Select the interface style"))
        self.label_5.setText(_translate("InterfaceLightPage", "Style Sheet:"))
        self.styleSheetPicker.setToolTip(_translate("InterfaceLightPage", "Enter the path of the style sheet file"))
        self.label_7.setText(_translate("InterfaceLightPage", "Style Icons Path:"))
        self.styleIconsPathPicker.setToolTip(_translate("InterfaceLightPage", "Enter the path to the icons used within the style sheet (empty for default)"))
        self.label_8.setText(_translate("InterfaceLightPage", "Item Selection Style:"))
        self.itemSelectionStyleComboBox.setToolTip(_translate("InterfaceLightPage", "Select the style for item selection (default is platform dependent)."))
        self.label_9.setText(_translate("InterfaceLightPage", "<b>Note:</b> This may not take effect on all views."))
        self.sidebarsGroup.setTitle(_translate("InterfaceLightPage", "Sidebars"))
        self.iconBarButton.setToolTip(_translate("InterfaceLightPage", "Select the icon bar background color"))
        self.iconBarButton.setText(_translate("InterfaceLightPage", "Icon Bar Color"))
        self.label_6.setText(_translate("InterfaceLightPage", "Icon Size:"))
        self.iconSizeComboBox.setToolTip(_translate("InterfaceLightPage", "Select the icon size"))
        self.TextLabel1_2_2_2.setText(_translate("InterfaceLightPage", "<font color=\"#FF0000\"><b>Note:</b> All settings below are activated at the next startup of the application.</font>"))
        self.languageLabel.setText(_translate("InterfaceLightPage", "Language:"))
        self.languageComboBox.setToolTip(_translate("InterfaceLightPage", "Select the interface language."))
        self.languageComboBox.setWhatsThis(_translate("InterfaceLightPage", "The interface language can be selected from this list. If \"system\" is selected, the interface language is determined by the system. The selection of \"none\" means, that the default language will be used."))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
